FASTML.SH(1)

NAME
fastml - maximum likelihood ancestral amino-acid sequence reconstruction

SYNOPSIS
fastml [options]

DESCRIPTION
FastML is a bioinformatics tool for the reconstruction of ancestral sequences based on the phylogenetic relations between homologous sequences. FastML runs several algorithms that reconstruct the ancestral sequences with emphasis on an accurate reconstruction of both indels and characters. For character reconstruction the previously described FastML algorithms are used to efficiently infer the most likely ancestral sequences for each internal node of the tree. Both joint and the marginal reconstructions are provided. For indels reconstruction the sequences are first coded according to the indel events detected within the multiple sequence alignment (MSA) and then a state-of-the-art likelihood model is used to reconstruct ancestral indels states. The results are the most probable sequences, together with posterior probabilities for each character and indel at each sequence position for each internal node of the tree. FastML is generic and is applicable for any type of molecular sequences (nucleotide, protein, or codon sequences).

OPTIONS

-h     help

-s     sequence input file (for example use -s emySequences/eseq.txt)

-t     tree input file (if tree is not given, a neighbor joining tree is computed).

-g     Assume among site rate variation model (Gamma) [By default the program
    will assume an homogeneous model. very fast, but less accurate!]

-m     model name

-mj    [JTT]

-ml    LG

-mr    mtREV (for mitochondrial genomes)

-md    DAY

-mw    WAG

-mc    cpREV (for chloroplasts genomes)

-ma    Jukes and Cantor (JC) for amino acids

-mn    Jukes and Cantor (JC) for nucleotides

-mh    HKY Model for nucleotides

-mg    nucgtr Model for nucleotides

-mt    tamura92 Model for nucleotides

-my    yang M5 codons model

-me    empirical codon matrix

Controling the output options:

-x     tree file output in Newick format [tree.newick.txt]

-y     tree file output in ANCESTOR format [tree.ancestor.txt]

-j     joint sequences output file [seq.joint.txt]

-k     marginal sequences output file [seq.marginal.txt]

-d     joint probabilities output file [prob.joint.txt]

-e     marginal probabilities output file [prob.marginal.txt]

-q     ancestral sequences output format. (-qc = [CLUSTAL], -qf = FASTA,
    -qm = MOLPHY, -qs = MASE, -qp = PHLIYP, -qn = Nexus)

Advanced options:

-a     Threshold for computing again marginal probabilities [0.9]

-b     Do not optimize branch lengths on starting tree
    [by default branches and alpha are ML optimized from the data]

-c  number of discrete Gamma categories for the gamma distribution [8]

-f  don't compute Joint reconstruction (good if the branch and bound algorithm takes too much time, and the goal is to compute the marginal reconstruction with Gamma).

-z  The bound used. -zs - bound based on sum. -zm based on max. -zb [both]

-p  user alpha parameter of the gamma distribution [if alpha is not given, alpha and branches will be evaluated from the data (override -b)